<?php
/*
 * /////////////////// DISCLAIMER ///////////////////////////
 * THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 * BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 * ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 * DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ////////////////////////////////////////////////////////////
 */

// Import file to generate client token
require_once ('getClientToken.php');
// $clientToken = Braintree_ClientToken::generate();
?>

<!DOCTYPE html>
<html>
<head>
<title>BT Dropin Template</title>
<!--Let browser know website is optimized for mobile-->
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
</head>
<body>
	<div>
		<div>
			<img width="250"
				src="https://sickr.files.wordpress.com/2012/03/steam_logo1.png">
			<textarea style="width: 200px; height: 200px;" id="textarea1"
				disabled> Steam account, one time account creation fee and then you can choose to buy 1 of 100's of titles at discount prices </textarea>
		</div>
		<br>
		<div>
			<input disabled value="10" id="price" type="text"> <label for="price">Price</label>
		</div>
		<br> <br>
		<div id="dropin-container"></div>
		<button id="submit-button">Pay Now</button>
	</div>

	<script
		src="https://js.braintreegateway.com/web/dropin/1.18.0/js/dropin.min.js"></script>
	<!--Import jQuery before materialize.js-->
	<script type="text/javascript"
		src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

	<!-- Load the 3D Secure component. -->
	<script
		src="https://js.braintreegateway.com/web/3.46.0/js/three-d-secure.min.js"></script>

	<script>
    var button = document.querySelector('#submit-button');
    var threeDSecure;
    var nonce;
    var dropin;

    braintree.dropin.create({
      authorization: '<?=$clientToken ?>',
      container: '#dropin-container',
	  threeDSecure: {
	      amount: '10.00'
	    }
    }, function (createErr, instance) {

    	
    	 dropin = instance;

      button.addEventListener('click', function () {
        instance.requestPaymentMethod(function (err, payload) {

        	 dropin.requestPaymentMethod({
     	        threeDSecure: {
     	          email: 'brian_uk_buyer@fake.com',
     	          billingAddress: {
     	            givenName: 'Brian',
     	            surname: 'McManus',
     	            phoneNumber: '07712345678',
     	            streetAddress: '10 Downing Street',
     	            extendedAddress: 'London',
     	            locality: 'London',
     	            region: 'London',
     	            postalCode: 'SW1A 2AA',
     	            countryCodeAlpha2: 'GB'
     	          }
     	        }
     	      }, function(err, payload) {
     	        if (err) {
     	          console.log('tokenization error:');
     	          console.log(err);
     	          dropin.clearSelectedPaymentMethod();
     	          document.getElementById("submit-button").disabled = false;
     	          return;
     	        }
     	      });
    	                
          document.getElementById("submit-button").disabled = true;

          nonce = payload.nonce;
          //console.log("Nonce data: " + payload.nonce)
          
  
              //alert(payload.liabilityShifted);
            if (!payload.liabilityShifted) {
                
              dropin.clearSelectedPaymentMethod();
              console.log('Liability did not shift', payload);
              document.getElementById("submit-button").disabled = false;
              return;
              
            }
            else if(payload.liabilityShifted)
            {
                

                var vars = {'payment_method_nonce' : payload.nonce};
                $.ajax({ 
              	type: "POST",
                  cache: false,
            	    url: "doPayment.php",
            	    dataType: "text",
            	    data: vars
            	}).done(function (data) {
                	
                	vars = JSON.parse(data);
                	if(vars['success'] == 1)
                	{
                    	alert("Success");
                    	dropin.clearSelectedPaymentMethod();
                    	document.getElementById("submit-button").disabled = false;
                	}
                	else
                	{
                    	alert("Failed");
                    	document.getElementById("submit-button").disabled = false;
                	}
                	 //console.log("Nonce return data: " + vars);
            	}).fail(function (jqXHR, textStatus) {
            	    console.log("failed to get nonce return data");
            	});

            	
            }
            else
            {
                alert("Something went wrong");
            }
        });
      });
    }
   

 );
  </script>


</body>
</html>
